GDB (xrefs)

Public Attributes | List of all members
ctf_trace_file_writer Struct Reference

## Public Attributes
struct trace_file_writer | base
struct trace_write_handler | tcs

## Detailed Description

Definition at line 271 of file ctf.c.

## Member Data Documentation

## ◆ base

struct trace_file_writer ctf_trace_file_writer::base

Definition at line 273 of file ctf.c.

Referenced by ctf_trace_file_writer_new().

## ◆ tcs

struct trace_write_handler ctf_trace_file_writer::tcs

Definition at line 276 of file ctf.c.

Referenced by ctf_dtor(), ctf_end(), ctf_start(), ctf_write_frame_end(), ctf_write_frame_m_block_header(), ctf_write_frame_m_block_memory(), ctf_write_frame_r_block(), ctf_write_frame_start(), ctf_write_frame_v_block(), ctf_write_header(), ctf_write_regblock_type(), ctf_write_status(), ctf_write_uploaded_tp(), and ctf_write_uploaded_tsv().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/ctf.c